# strspn

get span of character set in string

## Calling Sequence

    res = strspn(str1, str2)

## Arguments

str1

  a character string or matrix of character strings.

str2

  a character string or matrix of character strings.

res

  a matrix of character strings.

## Description

`res = strspn(str1, str2)` returns the length of the initial portion of `str1` which consists only of characters that are part of `str2`.

`str1` must have same dimensions as `str2` or `str2` must be 1x1 string. The output will be the same dimensions as `str1` in both cases.

## Examples

    i = strspn("129th","1234567890");
    mprintf ("The length of initial number is %d.\n",i);
    i = strspn(["129th","130th"],["1234567890","130t"])

## See Also

- strcspn